package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 退款证据表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvReverseOrderProveDao;
import com.heyu.api.data.entity.vv.VvReverseOrderProveEntity;
import com.heyu.api.data.service.vv.VvReverseOrderProveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvReverseOrderProveServiceImpl extends ServiceImpl<VvReverseOrderProveDao, VvReverseOrderProveEntity> implements VvReverseOrderProveService {


    @Autowired
	private VvReverseOrderProveDao vvReverseOrderProveDao;



	@Override
	public VvReverseOrderProveEntity selectVvReverseOrderProveById(Long id){
		return vvReverseOrderProveDao.selectVvReverseOrderProveById(id);
	}



	@Override
	public Long insertVvReverseOrderProve(VvReverseOrderProveEntity vvReverseOrderProve){
		return vvReverseOrderProveDao.insertVvReverseOrderProve(vvReverseOrderProve);
	}



	@Override
	public Long insertOrUpdateVvReverseOrderProve(VvReverseOrderProveEntity vvReverseOrderProve){
		return vvReverseOrderProveDao.insertOrUpdateVvReverseOrderProve(vvReverseOrderProve);
	}



	@Override
	public int updateVvReverseOrderProveById(VvReverseOrderProveEntity vvReverseOrderProve){
		return vvReverseOrderProveDao.updateVvReverseOrderProveById(vvReverseOrderProve);
	}



	@Override
	public int updateCoverVvReverseOrderProveById(VvReverseOrderProveEntity vvReverseOrderProve){
		return vvReverseOrderProveDao.updateCoverVvReverseOrderProveById(vvReverseOrderProve);
	}



	@Override
	public int deleteVvReverseOrderProveById(Long id){
		return vvReverseOrderProveDao.deleteVvReverseOrderProveById(id);
	}



}
